# Vendor-specific Properties

Browser makers sometimes implement extensions to the CSS specification that are usually proprietary to their browser. To accomodate this, the CSS specifications define a specific format that vendors should follow:

`-vendor_id-name`

or

`_vendor_id-name`

name is the name of the keyword or property.

Keywords and property names beginning with - (dash) or _ (underscore) are reserved for vendor-specific extensions.

The following table shows some known vendor prefixes:

Prefix | Organization
--- | ---
`-atsc-` | Advanced Televsion Standards Committee
`-ms-` | Microsoft
`mso-` | Microsoft Office
`-moz-` | Mozilla Foundation (Gecko-based browsers)
`-o-` | Opera Software
`-wap-` | The WAP Forum
`-webkit-` | Safari (Webkit-based browsers)
`-khtml-` | Konqueror Browser

Important: The use of vendor-specific properties should be limited. Because these properties are not part of the W3C specification, their behaviors could change at any time.

More information about some of these extensions can be found under the Extensions category for the specific vendor.